Installer - Bug #33744

workaround for pulpcore-content PostgreSQL connection issue
10/20/2021 02:04 PM - Evgeni Golov

Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category: Foreman modules
Target version: 3.1.0
Difficulty: Fixed in Releases: 3.1.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-pul
pcore/pull/234
Description

when pulpcore-conent loses its database connection, it does not re-establish it properly, leading to a broken content app (see
https://pulp.plan.io/issues/9276 for details)

as the installer does restart the database sometimes, we could notify the content app, so that at least in these cases it's also
restarted and thus can reconnect

Associated revisions

Revision 440a8e05 - 10/20/2021 02:38 PM - Evgeni Golov

Fixes #33744 - notify the socket service when the DB changes

pulpcore-content fails to reconnect to the database,
so schedule a restart whenever the db changes

see https://pulp.plan.io/issues/9276 for details

History

#1 - 10/20/2021 02:05 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/234 added

#2 - 10/20/2021 03:01 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|440a8e054248f271f3c0b022844a07a1bac580b2.

#3 - 11/03/2021 02:12 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Triaged changed from No to Yes

- Fixed in Releases 3.1.0 added
